1.2

1.2

get /v1/internet-gateways

Description

Internet Gateway 목록을 조회한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryid
optional
Internet Gateway ID
Example : 023c57b14f11483689338d085e061492
any of [string, null]None
queryname
optional
Internet Gateway 명
Example : IGW_VPCname
any of [string, null]None
querytype
optional
Internet Gateway 유형
Example :
enum (IGW, GGW, SIGW)
querystate
optional
상태
Example :
string
queryvpc_id
optional
VPC ID
Example : 7df8abb4912e4709b1cb237daccca7a8
any of [string, null]
queryvpc_name
optional
VPC 명
Example : vpcName
any of [string, null]

Responses

HTTP CodeDescriptionSchema
200OKInternetGatewayListResponseV1Dot2
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/internet-gateways

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.2"

Example HTTP response

Response 200

{
    "count": 20,
    "internet_gateways": [
        {
            "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "Internet Gateway Description",
            "firewall_id": "b156740b6335468d8354eb9ef8eddf5a",
            "id": "023c57b14f11483689338d085e061492",
            "loggable": false,
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "IGW_VPCname",
            "state": "CREATING",
            "type": "IGW",
            "vpc_id": "7df8abb4912e4709b1cb237daccca7a8",
            "vpc_name": "vpcName"
        }
    ],
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}